//////////////////////////////////////////////////////////////////////////////////////////////////////////
// INFOSOFT SA DE CV
// Fecha: 2006-04-10
// Updates:2006-08-08
// Author:Rodolfo Machon
// File Name: bstm.js
// Description:
//////////////////////////////////////////////////////////////////////////////////////////////////////////
// LEVEL 1
function ConstructPage(){
	ConstructHeader();
	ConstructGrid();
	InitGrid();
	CalculateGrid();
}
/////////////////////////////////////////////////////////////////////////////////////////////////////////
// LEVEL 2
function ConstructHeader(){}
function ConstructGrid(){
	ConstructGridHeader();
	ConstructGridBody();
	ConstructGridFooter();
}
function InitGrid(){
	var records	   = parent.registros.document.detail.dsv.value.split("~~");
	for(var i=1;i<records.length;i++ ) {
		InitRow(i,records[i]);
	}
}
function CalculateGrid(){
	CalculateRows();
	CalculateColums();
	CalculateTotal();
}
/////////////////////////////////////////////////////////////////////////////////////////////////////////
// LEVEL 3
function ConstructGridHeader(){
	var Grid	= parent.form.document.getElementById('Grid');
	var GridHeader	= parent.list.document.detail.gh.value.split("~~");
	var GridRow	= Grid.insertRow(0);
	var RowCells 	= new Array(GridHeader.length);	
	GridRow.style.cssText = parent.list.document.detail.tdheader.value;
	for(var i=0;i<GridHeader.length;i++ ) {
		var GridHeaderColumn = GridHeader[i].split("|");
		RowCells[i] = GridRow.insertCell(i);
		RowCells[i].innerHTML = record[1];
	}
}
function ConstructGridBody(){
	var row_definition = parent.registros.document.detail.rd.value;
	var records	   = parent.registros.document.detail.dsv.value.split("~~");
	for(var i=1;i<records.length;i++ ) {
		AddRow(i,row_definition);
	}	
}
function ConstructGridFooter(){
	
}
function AddRow(indx,row_definition){
	var rd_members = row_definition.split("~~");
	for(var i=1;i<rd_members.length;i++ ) {
		
	}	
}
function InitRow(indx,record){
	var rcd_members = record.split("~~");
	for(var i=1;i<rcd_members.length;i++ ) {
		
	}	
}
function CalculateRows(){
	var records	   = parent.registros.document.detail.dsv.value.split("~~");
	for(var i=1;i<records.length;i++ ) {
		CalculateRow(i);
	}	
}
function CalculateColumns(){
	var records	   = parent.registros.document.detail.dsv.value.split("~~");
	for(var i=1;i<records.length;i++ ) {
		CalculateColumn(col);
	}	
}
/////////////////////////////////////////////////////////////////////////////////////////////////////////
// LEVEL 4
function CalculateRow(indx){
	CalculateSubTotal();
	CalculateFiestas();
	CalculateIntereses();
	CalculateMultas();
	CalculateTotal();
}
function CalculateColumn(col){

}
/////////////////////////////////////////////////////////////////////////////////////////////////////////
// LEVEL 5
function ShowCalendar(form,datetype,separator){
	var appid=document.data.appid.value;	
	if (!openwindow || openwindow.closed){
		win ="window.open('../libraries/html/clnd.html?pbf="+form+"&datetype="+datetype+"&separator="+separator+"','Calendar','left=200,top=200,width=250,height=250,scrollbars=no,toolbar=no,menu=no')";
		openwindow=eval(win);
	}else{openwindow.focus()}
}


/////////////////////////////////////////////////////////////////////////////////////////////////////////